Bug 252522 - lang/pocl: Switch from hwloc to hwloc2
Summary: lang/pocl: Switch from hwloc to hwloc2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason W. Bacon
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-08 18:31 UTC by Jason W. Bacon
Modified: 2021-02-14 18:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ohartmann)


Attachments
Unified diff to use hwloc2 (439 bytes, patch)
2021-01-08 18:31 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2021-01-08 18:31:03 UTC
Created attachment 221394 [details]
Unified diff to use hwloc2

devel/hwloc2 is now available and other ports are being migrated to it.

As it cannot coexist with hwloc, install conflicts are possible as long as both hwloc and hwloc2 are used as dependencies.

The attached patch has been tested with pocl.  Build succeeded on one system but failed with a plist error on another.  I will try to determine the cause of the failure and report back.
Comment 1 Jason W. Bacon freebsd_committer 2021-01-08 18:56:10 UTC
Getting this error on an i5 system, while install succeeds on a Phenom workstation.

===>   Registering installation for pocl-1.6
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-avx.bc:No such file or directory
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-avx2.bc:No such file or directory
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-avx512.bc:No such file or directory
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-avx_f16c.bc:No such file or directory
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-avx_fma4.bc:No such file or directory
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-sse2.bc:No such file or directory
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-sse41.bc:No such file or directory
pkg-static: Unable to access file /usr/ports/lang/pocl/work/stage/usr/local/share/pocl/kernel-x86_64-portbld-freebsd12.2-ssse3.bc:No such file or directory
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/lang/pocl
*** Error code 1
Comment 2 Automation User 2021-01-23 04:02:48 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/245740138
Comment 3 commit-hook freebsd_committer 2021-02-14 13:05:12 UTC
A commit references this bug:

Author: jwb
Date: Sun Feb 14 13:04:12 UTC 2021
New revision: 565224
URL: https://svnweb.freebsd.org/changeset/ports/565224

Log:
  lang/pocl: Update hwloc dependency to hwloc2

  hwloc and hwloc2 conflict, so all depdendents should be moved to hwloc2
  if possible

  PR:             252522

Changes:
  head/lang/pocl/Makefile
  head/lang/pocl/files/patch-CMakeLists.txt
  head/lang/pocl/files/patch-config.h.in.cmake
  head/lang/pocl/files/patch-lib_CL_devices_cpuinfo.c
Comment 4 Jason W. Bacon freebsd_committer 2021-02-14 13:06:15 UTC
(In reply to Jason W. Bacon from comment #1)

Error occurs regardless of hwloc version, so not a regression.

Committed after feedback timeout.
Comment 5 commit-hook freebsd_committer 2021-02-14 18:08:04 UTC
A commit references this bug:

Author: jwb
Date: Sun Feb 14 18:07:09 UTC 2021
New revision: 565257
URL: https://svnweb.freebsd.org/changeset/ports/565257

Log:
  lang/pocl: Reverse broken RUN_DEPENDS change from last commit

  PR:             252522
  Reported by:    cmt

Changes:
  head/lang/pocl/Makefile